Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class ThreadedTaskService

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.ThreadedTaskService

All Implemented Interfaces:
  AVList, WWObject, PropertyChangeListener, Thread.UncaughtExceptionHandler, EventListener

    public class ThreadedTaskService

extends WWObjectImpl
implements Thread.UncaughtExceptionHandler

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`ThreadedTaskService()`

Method Summary
`void` | `addTask(Runnable runnable)` Enqueues a task to run.
`boolean` | `contains(Runnable runnable)`
`boolean` | `isFull()`
`void` | `uncaughtException(Thread thread, Throwable throwable)`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### ThreadedTaskService

    public ThreadedTaskService()

Method Detail

### addTask

    public void addTask(Runnable runnable)

  Enqueues a task to run.

  Parameters:
    `runnable` - the task to add
  Throws:
    `IllegalArgumentException` - if `runnable` is null

### contains

    public boolean contains(Runnable runnable)

### isFull

    public boolean isFull()

### uncaughtException

    public void uncaughtException(Thread thread,
                                  Throwable throwable)

  Specified by:
    `uncaughtException` in interface `Thread.UncaughtExceptionHandler`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD